1#! /bin/sh
2# Generated by configure.
3# Run this file to recreate the current configuration.
4# Compiler output produced by configure, useful for debugging
5# configure, is in config.log if it exists.
6
7debug=false
8ac_cs_recheck=false
9ac_cs_silent=false
10SHELL=${CONFIG_SHELL-/bin/sh}
11## --------------------- ##
12## M4sh Initialization.  ##
13## --------------------- ##
14
15# Be more Bourne compatible
16DUALCASE=1; export DUALCASE # for MKS sh
17if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
18  emulate sh
19  NULLCMD=:
20  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
21  # is contrary to our usage.  Disable this feature.
22  alias -g '${1+"$@"}'='"$@"'
23  setopt NO_GLOB_SUBST
24else
25  case `(set -o) 2>/dev/null` in
26  *posix*) set -o posix ;;
27esac
28
29fi
30
31
32
33
34# PATH needs CR
35# Avoid depending upon Character Ranges.
36as_cr_letters='abcdefghijklmnopqrstuvwxyz'
37as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
38as_cr_Letters=$as_cr_letters$as_cr_LETTERS
39as_cr_digits='0123456789'
40as_cr_alnum=$as_cr_Letters$as_cr_digits
41
42# The user is always right.
43if test "${PATH_SEPARATOR+set}" != set; then
44  echo "#! /bin/sh" >conf$$.sh
45  echo  "exit 0"   >>conf$$.sh
46  chmod +x conf$$.sh
47  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
48    PATH_SEPARATOR=';'
49  else
50    PATH_SEPARATOR=:
51  fi
52  rm -f conf$$.sh
53fi
54
55# Support unset when possible.
56if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
57  as_unset=unset
58else
59  as_unset=false
60fi
61
62
63# IFS
64# We need space, tab and new line, in precisely that order.  Quoting is
65# there to prevent editors from complaining about space-tab.
66# (If _AS_PATH_WALK were called with IFS unset, it would disable word
67# splitting by setting IFS to empty value.)
68as_nl='
69'
70IFS=" ""	$as_nl"
71
72# Find who we are.  Look in the path if we contain no directory separator.
73case $0 in
74  *[\\/]* ) as_myself=$0 ;;
75  *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
76for as_dir in $PATH
77do
78  IFS=$as_save_IFS
79  test -z "$as_dir" && as_dir=.
80  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
81done
82IFS=$as_save_IFS
83
84     ;;
85esac
86# We did not find ourselves, most probably we were run as `sh COMMAND'
87# in which case we are not to be found in the path.
88if test "x$as_myself" = x; then
89  as_myself=$0
90fi
91if test ! -f "$as_myself"; then
92  echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
93  { (exit 1); exit 1; }
94fi
95
96# Work around bugs in pre-3.0 UWIN ksh.
97for as_var in ENV MAIL MAILPATH
98do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
99done
100PS1='$ '
101PS2='> '
102PS4='+ '
103
104# NLS nuisances.
105for as_var in \
106  LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
107  LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
108  LC_TELEPHONE LC_TIME
109do
110  if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
111    eval $as_var=C; export $as_var
112  else
113    ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
114  fi
115done
116
117# Required to use basename.
118if expr a : '\(a\)' >/dev/null 2>&1 &&
119   test "X`expr 00001 : '.*\(...\)'`" = X001; then
120  as_expr=expr
121else
122  as_expr=false
123fi
124
125if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
126  as_basename=basename
127else
128  as_basename=false
129fi
130
131
132# Name of the executable.
133as_me=`$as_basename -- "$0" ||
134$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
135	 X"$0" : 'X\(//\)$' \| \
136	 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
137echo X/"$0" |
138    sed '/^.*\/\([^/][^/]*\)\/*$/{
139	    s//\1/
140	    q
141	  }
142	  /^X\/\(\/\/\)$/{
143	    s//\1/
144	    q
145	  }
146	  /^X\/\(\/\).*/{
147	    s//\1/
148	    q
149	  }
150	  s/.*/./; q'`
151
152# CDPATH.
153$as_unset CDPATH
154
155
156
157  as_lineno_1=$LINENO
158  as_lineno_2=$LINENO
159  test "x$as_lineno_1" != "x$as_lineno_2" &&
160  test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
161
162  # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
163  # uniformly replaced by the line number.  The first 'sed' inserts a
164  # line-number line after each line using $LINENO; the second 'sed'
165  # does the real work.  The second script uses 'N' to pair each
166  # line-number line with the line containing $LINENO, and appends
167  # trailing '-' during substitution so that $LINENO is not a special
168  # case at line end.
169  # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
170  # scripts with optimization help from Paolo Bonzini.  Blame Lee
171  # E. McMahon (1931-1989) for sed's syntax.  :-)
172  sed -n '
173    p
174    /[$]LINENO/=
175  ' <$as_myself |
176    sed '
177      s/[$]LINENO.*/&-/
178      t lineno
179      b
180      :lineno
181      N
182      :loop
183      s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
184      t loop
185      s/-\n.*//
186    ' >$as_me.lineno &&
187  chmod +x "$as_me.lineno" ||
188    { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
189   { (exit 1); exit 1; }; }
190
191  # Don't try to exec as it changes $[0], causing all sort of problems
192  # (the dirname of $[0] is not the place where we might find the
193  # original and so on.  Autoconf is especially sensitive to this).
194  . "./$as_me.lineno"
195  # Exit status is that of the last command.
196  exit
197}
198
199
200if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
201  as_dirname=dirname
202else
203  as_dirname=false
204fi
205
206ECHO_C= ECHO_N= ECHO_T=
207case `echo -n x` in
208-n*)
209  case `echo 'x\c'` in
210  *c*) ECHO_T='	';;	# ECHO_T is single tab character.
211  *)   ECHO_C='\c';;
212  esac;;
213*)
214  ECHO_N='-n';;
215esac
216
217if expr a : '\(a\)' >/dev/null 2>&1 &&
218   test "X`expr 00001 : '.*\(...\)'`" = X001; then
219  as_expr=expr
220else
221  as_expr=false
222fi
223
224rm -f conf$$ conf$$.exe conf$$.file
225if test -d conf$$.dir; then
226  rm -f conf$$.dir/conf$$.file
227else
228  rm -f conf$$.dir
229  mkdir conf$$.dir
230fi
231echo >conf$$.file
232if ln -s conf$$.file conf$$ 2>/dev/null; then
233  as_ln_s='ln -s'
234  # ... but there are two gotchas:
235  # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
236  # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
237  # In both cases, we have to default to `cp -p'.
238  ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
239    as_ln_s='cp -p'
240elif ln conf$$.file conf$$ 2>/dev/null; then
241  as_ln_s=ln
242else
243  as_ln_s='cp -p'
244fi
245rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
246rmdir conf$$.dir 2>/dev/null
247
248if mkdir -p . 2>/dev/null; then
249  as_mkdir_p=:
250else
251  test -d ./-p && rmdir ./-p
252  as_mkdir_p=false
253fi
254
255if test -x / >/dev/null 2>&1; then
256  as_test_x='test -x'
257else
258  if ls -dL / >/dev/null 2>&1; then
259    as_ls_L_option=L
260  else
261    as_ls_L_option=
262  fi
263  as_test_x='
264    eval sh -c '\''
265      if test -d "$1"; then
266        test -d "$1/.";
267      else
268	case $1 in
269        -*)set "./$1";;
270	esac;
271	case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
272	???[sx]*):;;*)false;;esac;fi
273    '\'' sh
274  '
275fi
276as_executable_p=$as_test_x
277
278# Sed expression to map a string onto a valid CPP name.
279as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
280
281# Sed expression to map a string onto a valid variable name.
282as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
283
284
285exec 6>&1
286
287# Save the log message, to keep $[0] and so on meaningful, and to
288# report actual input values of CONFIG_FILES etc. instead of their
289# values after options handling.
290ac_log="
291This file was extended by $as_me, which was
292generated by GNU Autoconf 2.61.  Invocation command line was
293
294  CONFIG_FILES    = $CONFIG_FILES
295  CONFIG_HEADERS  = $CONFIG_HEADERS
296  CONFIG_LINKS    = $CONFIG_LINKS
297  CONFIG_COMMANDS = $CONFIG_COMMANDS
298  $ $0 $@
299
300on `(hostname || uname -n) 2>/dev/null | sed 1q`
301"
302
303# Files that config.status was made for.
304config_files=" Makefile gnulib-local/Makefile"
305
306ac_cs_usage="\
307\`$as_me' instantiates files from templates according to the
308current configuration.
309
310Usage: $0 [OPTIONS] [FILE]...
311
312  -h, --help       print this help, then exit
313  -V, --version    print version number and configuration settings, then exit
314  -q, --quiet      do not print progress messages
315  -d, --debug      don't remove temporary files
316      --recheck    update $as_me by reconfiguring in the same conditions
317  --file=FILE[:TEMPLATE]
318		   instantiate the configuration file FILE
319
320Configuration files:
321$config_files
322
323Report bugs to <bug-autoconf@gnu.org>."
324
325ac_cs_version="\
326config.status
327configured by ./configure, generated by GNU Autoconf 2.61,
328  with options \"'LDFLAGS=-L${PKG_INSTALL_DIR}/usr/lib' 'CXXFLAGS=-I${PKG_INSTALL_DIR}/usr/include' 'CFLAGS=-I${PKG_INSTALL_DIR}/usr/include' '--host=mipsel-uclibc-linux' '--build=mipsel-uclibc-linux-gnu26' '--target=mipsel-uclibc-linux-gnu26' 'CC=mipsel-linux-uclibc-gcc' 'CXX=mipsel-linux-uclibc-g++' 'STRIP=mipsel-linux-linux26-strip' 'AR=mipsel-linux-linux26-ar' 'NM=mipsel-linux-linux26-nm' 'build_alias=mipsel-uclibc-linux-gnu26' 'host_alias=mipsel-uclibc-linux' 'target_alias=mipsel-uclibc-linux-gnu26'\"
329
330Copyright (C) 2006 Free Software Foundation, Inc.
331This config.status script is free software; the Free Software Foundation
332gives unlimited permission to copy, distribute and modify it."
333
334ac_pwd='${TIMEMACHINE_PATH}/gettext-0.17'
335srcdir='.'
336INSTALL='/usr/bin/install -c'
337MKDIR_P='/bin/mkdir -p'
338# If no file are specified by the user, then we need to provide default
339# value.  By we need to know if files were specified by the user.
340ac_need_defaults=:
341while test $# != 0
342do
343  case $1 in
344  --*=*)
345    ac_option=`expr "X$1" : 'X\([^=]*\)='`
346    ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
347    ac_shift=:
348    ;;
349  *)
350    ac_option=$1
351    ac_optarg=$2
352    ac_shift=shift
353    ;;
354  esac
355
356  case $ac_option in
357  # Handling of the options.
358  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
359    ac_cs_recheck=: ;;
360  --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
361    echo "$ac_cs_version"; exit ;;
362  --debug | --debu | --deb | --de | --d | -d )
363    debug=: ;;
364  --file | --fil | --fi | --f )
365    $ac_shift
366    CONFIG_FILES="$CONFIG_FILES $ac_optarg"
367    ac_need_defaults=false;;
368  --he | --h |  --help | --hel | -h )
369    echo "$ac_cs_usage"; exit ;;
370  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
371  | -silent | --silent | --silen | --sile | --sil | --si | --s)
372    ac_cs_silent=: ;;
373
374  # This is an error.
375  -*) { echo "$as_me: error: unrecognized option: $1
376Try \`$0 --help' for more information." >&2
377   { (exit 1); exit 1; }; } ;;
378
379  *) ac_config_targets="$ac_config_targets $1"
380     ac_need_defaults=false ;;
381
382  esac
383  shift
384done
385
386ac_configure_extra_args=
387
388if $ac_cs_silent; then
389  exec 6>/dev/null
390  ac_configure_extra_args="$ac_configure_extra_args --silent"
391fi
392
393if $ac_cs_recheck; then
394  echo "running CONFIG_SHELL=/bin/sh /bin/sh ./configure " 'LDFLAGS=-L${PKG_INSTALL_DIR}/usr/lib' 'CXXFLAGS=-I${PKG_INSTALL_DIR}/usr/include' 'CFLAGS=-I${PKG_INSTALL_DIR}/usr/include' '--host=mipsel-uclibc-linux' '--build=mipsel-uclibc-linux-gnu26' '--target=mipsel-uclibc-linux-gnu26' 'CC=mipsel-linux-uclibc-gcc' 'CXX=mipsel-linux-uclibc-g++' 'STRIP=mipsel-linux-linux26-strip' 'AR=mipsel-linux-linux26-ar' 'NM=mipsel-linux-linux26-nm' 'build_alias=mipsel-uclibc-linux-gnu26' 'host_alias=mipsel-uclibc-linux' 'target_alias=mipsel-uclibc-linux-gnu26' $ac_configure_extra_args " --no-create --no-recursion" >&6
395  CONFIG_SHELL=/bin/sh
396  export CONFIG_SHELL
397  exec /bin/sh "./configure" 'LDFLAGS=-L${PKG_INSTALL_DIR}/usr/lib' 'CXXFLAGS=-I${PKG_INSTALL_DIR}/usr/include' 'CFLAGS=-I${PKG_INSTALL_DIR}/usr/include' '--host=mipsel-uclibc-linux' '--build=mipsel-uclibc-linux-gnu26' '--target=mipsel-uclibc-linux-gnu26' 'CC=mipsel-linux-uclibc-gcc' 'CXX=mipsel-linux-uclibc-g++' 'STRIP=mipsel-linux-linux26-strip' 'AR=mipsel-linux-linux26-ar' 'NM=mipsel-linux-linux26-nm' 'build_alias=mipsel-uclibc-linux-gnu26' 'host_alias=mipsel-uclibc-linux' 'target_alias=mipsel-uclibc-linux-gnu26' $ac_configure_extra_args --no-create --no-recursion
398fi
399
400exec 5>>config.log
401{
402  echo
403  sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
404## Running $as_me. ##
405_ASBOX
406  echo "$ac_log"
407} >&5
408
409
410# Handling of arguments.
411for ac_config_target in $ac_config_targets
412do
413  case $ac_config_target in
414    "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
415    "gnulib-local/Makefile") CONFIG_FILES="$CONFIG_FILES gnulib-local/Makefile" ;;
416
417  *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
418echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
419   { (exit 1); exit 1; }; };;
420  esac
421done
422
423
424# If the user did not use the arguments to specify the items to instantiate,
425# then the envvar interface is used.  Set only those that are not.
426# We use the long form for the default assignment because of an extremely
427# bizarre bug on SunOS 4.1.3.
428if $ac_need_defaults; then
429  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
430fi
431
432# Have a temporary directory for convenience.  Make it in the build tree
433# simply because there is no reason against having it here, and in addition,
434# creating and moving files from /tmp can sometimes cause problems.
435# Hook for its removal unless debugging.
436# Note that there is a small window in which the directory will not be cleaned:
437# after its creation but before its name has been assigned to `$tmp'.
438$debug ||
439{
440  tmp=
441  trap 'exit_status=$?
442  { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
443' 0
444  trap '{ (exit 1); exit 1; }' 1 2 13 15
445}
446# Create a (secure) tmp directory for tmp files.
447
448{
449  tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
450  test -n "$tmp" && test -d "$tmp"
451}  ||
452{
453  tmp=./conf$$-$RANDOM
454  (umask 077 && mkdir "$tmp")
455} ||
456{
457   echo "$me: cannot create a temporary directory in ." >&2
458   { (exit 1); exit 1; }
459}
460
461#
462# Set up the sed scripts for CONFIG_FILES section.
463#
464
465# No need to generate the scripts if there are no CONFIG_FILES.
466# This happens for instance when ./config.status config.h
467if test -n "$CONFIG_FILES"; then
468
469cat >"$tmp/subs-1.sed" <<\CEOF
470/@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
471s,@SHELL@,|#_!!_#|/bin/sh,g
472s,@PATH_SEPARATOR@,|#_!!_#|:,g
473s,@PACKAGE_NAME@,|#_!!_#|,g
474s,@PACKAGE_TARNAME@,|#_!!_#|,g
475s,@PACKAGE_VERSION@,|#_!!_#|,g
476s,@PACKAGE_STRING@,|#_!!_#|,g
477s,@PACKAGE_BUGREPORT@,|#_!!_#|,g
478s,@exec_prefix@,|#_!!_#|${prefix},g
479s,@prefix@,|#_!!_#|/usr,g
480s,@program_transform_name@,|#_!!_#|s\,x\,x\,,g
481s,@bindir@,|#_!!_#|${exec_prefix}/bin,g
482s,@sbindir@,|#_!!_#|${exec_prefix}/sbin,g
483s,@libexecdir@,|#_!!_#|${exec_prefix}/libexec,g
484s,@datarootdir@,|#_!!_#|${prefix}/share,g
485s,@datadir@,|#_!!_#|${datarootdir},g
486s,@sysconfdir@,|#_!!_#|${prefix}/etc,g
487s,@sharedstatedir@,|#_!!_#|${prefix}/com,g
488s,@localstatedir@,|#_!!_#|${prefix}/var,g
489s,@includedir@,|#_!!_#|${prefix}/include,g
490s,@oldincludedir@,|#_!!_#|/usr/include,g
491s,@docdir@,|#_!!_#|${datarootdir}/doc/${PACKAGE},g
492s,@infodir@,|#_!!_#|${datarootdir}/info,g
493s,@htmldir@,|#_!!_#|${docdir},g
494s,@dvidir@,|#_!!_#|${docdir},g
495s,@pdfdir@,|#_!!_#|${docdir},g
496s,@psdir@,|#_!!_#|${docdir},g
497s,@libdir@,|#_!!_#|${exec_prefix}/lib,g
498s,@localedir@,|#_!!_#|${datarootdir}/locale,g
499s,@mandir@,|#_!!_#|${datarootdir}/man,g
500s,@DEFS@,|#_!!_#|-DPACKAGE_NAME=\\"\\" -DPACKAGE_TARNAME=\\"\\" -DPACKAGE_VERSION=\\"\\" -DPACKAGE_STRING=\\"\\" -DPACKAGE_BUGREPORT=\\"\\" -DPACKAGE=\\"gettext\\" -DVERSION=\\"0.17\\",g
501s,@ECHO_C@,|#_!!_#|,g
502s,@ECHO_N@,|#_!!_#|-n,g
503s,@ECHO_T@,|#_!!_#|,g
504s,@LIBS@,|#_!!_#|,g
505s,@build_alias@,|#_!!_#|mipsel-uclibc-linux-gnu26,g
506s,@host_alias@,|#_!!_#|mipsel-uclibc-linux,g
507s,@target_alias@,|#_!!_#|mipsel-uclibc-linux-gnu26,g
508s,@INSTALL_PROGRAM@,|#_!!_#|${INSTALL},g
509s,@INSTALL_SCRIPT@,|#_!!_#|${INSTALL},g
510s,@INSTALL_DATA@,|#_!!_#|${INSTALL} -m 644,g
511s,@am__isrc@,|#_!!_#|,g
512s,@CYGPATH_W@,|#_!!_#|echo,g
513s,@PACKAGE@,|#_!!_#|gettext,g
514s,@VERSION@,|#_!!_#|0.17,g
515s,@ACLOCAL@,|#_!!_#|${SHELL} ${TIMEMACHINE_PATH}/gettext-0.17/build-aux/missing --run aclocal-1.10,g
516s,@AUTOCONF@,|#_!!_#|${SHELL} ${TIMEMACHINE_PATH}/gettext-0.17/build-aux/missing --run autoconf,g
517s,@AUTOMAKE@,|#_!!_#|${SHELL} ${TIMEMACHINE_PATH}/gettext-0.17/build-aux/missing --run automake-1.10,g
518s,@AUTOHEADER@,|#_!!_#|${SHELL} ${TIMEMACHINE_PATH}/gettext-0.17/build-aux/missing --run autoheader,g
519s,@MAKEINFO@,|#_!!_#|${SHELL} ${TIMEMACHINE_PATH}/gettext-0.17/build-aux/missing --run makeinfo,g
520s,@install_sh@,|#_!!_#|$(SHELL) ${TIMEMACHINE_PATH}/gettext-0.17/build-aux/install-sh,g
521s,@STRIP@,|#_!!_#|mipsel-linux-linux26-strip,g
522s,@INSTALL_STRIP_PROGRAM@,|#_!!_#|$(install_sh) -c -s,g
523s,@mkdir_p@,|#_!!_#|/bin/mkdir -p,g
524s,@AWK@,|#_!!_#|gawk,g
525s,@SET_MAKE@,|#_!!_#|,g
526s,@am__leading_dot@,|#_!!_#|.,g
527s,@AMTAR@,|#_!!_#|${SHELL} ${TIMEMACHINE_PATH}/gettext-0.17/build-aux/missing --run tar,g
528s,@am__tar@,|#_!!_#|${AMTAR} chof - --owner=root --group=root "$$tardir",g
529s,@am__untar@,|#_!!_#|${AMTAR} xf -,g
530s,@subdirs@,|#_!!_#| autoconf-lib-link gettext-runtime gettext-tools,g
531s,@build@,|#_!!_#|mipsel-uclibc-linux-gnu26,g
532s,@build_cpu@,|#_!!_#|mipsel,g
533s,@build_vendor@,|#_!!_#|uclibc,g
534s,@build_os@,|#_!!_#|linux-gnu26,g
535s,@host@,|#_!!_#|mipsel-uclibc-linux-gnu,g
536s,@host_cpu@,|#_!!_#|mipsel,g
537s,@host_vendor@,|#_!!_#|uclibc,g
538s,@host_os@,|#_!!_#|linux-gnu,g
539s,@CC@,|#_!!_#|mipsel-linux-uclibc-gcc,g
540s,@CFLAGS@,|#_!!_#|-I${PKG_INSTALL_DIR}/usr/include,g
541s,@LDFLAGS@,|#_!!_#|-L${PKG_INSTALL_DIR}/usr/lib,g
542s,@CPPFLAGS@,|#_!!_#|,g
543s,@CPP@,|#_!!_#|,g
544s,@CXX@,|#_!!_#|mipsel-linux-uclibc-g++,g
545s,@CXXFLAGS@,|#_!!_#|-I${PKG_INSTALL_DIR}/usr/include,g
546s,@CXXCPP@,|#_!!_#|,g
547s,@F77@,|#_!!_#|,g
548s,@FFLAGS@,|#_!!_#|,g
549s,@YACC@,|#_!!_#|,g
550s,@YFLAGS@,|#_!!_#|,g
551s,@GCJ@,|#_!!_#|,g
552s,@GCJFLAGS@,|#_!!_#|,g
553s,@EMACS@,|#_!!_#|,g
554s,@EMACSLOADPATH@,|#_!!_#|,g
555s,@LIBOBJS@,|#_!!_#|,g
556s,@LTLIBOBJS@,|#_!!_#|,g
557:end
558s/|#_!!_#|//g
559CEOF
560fi # test -n "$CONFIG_FILES"
561
562
563for ac_tag in  :F $CONFIG_FILES
564do
565  case $ac_tag in
566  :[FHLC]) ac_mode=$ac_tag; continue;;
567  esac
568  case $ac_mode$ac_tag in
569  :[FHL]*:*);;
570  :L* | :C*:*) { { echo "$as_me:$LINENO: error: Invalid tag $ac_tag." >&5
571echo "$as_me: error: Invalid tag $ac_tag." >&2;}
572   { (exit 1); exit 1; }; };;
573  :[FH]-) ac_tag=-:-;;
574  :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
575  esac
576  ac_save_IFS=$IFS
577  IFS=:
578  set x $ac_tag
579  IFS=$ac_save_IFS
580  shift
581  ac_file=$1
582  shift
583
584  case $ac_mode in
585  :L) ac_source=$1;;
586  :[FH])
587    ac_file_inputs=
588    for ac_f
589    do
590      case $ac_f in
591      -) ac_f="$tmp/stdin";;
592      *) # Look for the file first in the build tree, then in the source tree
593	 # (if the path is not absolute).  The absolute path cannot be DOS-style,
594	 # because $ac_f cannot contain `:'.
595	 test -f "$ac_f" ||
596	   case $ac_f in
597	   [\\/$]*) false;;
598	   *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
599	   esac ||
600	   { { echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
601echo "$as_me: error: cannot find input file: $ac_f" >&2;}
602   { (exit 1); exit 1; }; };;
603      esac
604      ac_file_inputs="$ac_file_inputs $ac_f"
605    done
606
607    # Let's still pretend it is `configure' which instantiates (i.e., don't
608    # use $as_me), people would be surprised to read:
609    #    /* config.h.  Generated by config.status.  */
610    configure_input="Generated from "`IFS=:
611	  echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
612    if test x"$ac_file" != x-; then
613      configure_input="$ac_file.  $configure_input"
614      { echo "$as_me:$LINENO: creating $ac_file" >&5
615echo "$as_me: creating $ac_file" >&6;}
616    fi
617
618    case $ac_tag in
619    *:-:* | *:-) cat >"$tmp/stdin";;
620    esac
621    ;;
622  esac
623
624  ac_dir=`$as_dirname -- "$ac_file" ||
625$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
626	 X"$ac_file" : 'X\(//\)[^/]' \| \
627	 X"$ac_file" : 'X\(//\)$' \| \
628	 X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
629echo X"$ac_file" |
630    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
631	    s//\1/
632	    q
633	  }
634	  /^X\(\/\/\)[^/].*/{
635	    s//\1/
636	    q
637	  }
638	  /^X\(\/\/\)$/{
639	    s//\1/
640	    q
641	  }
642	  /^X\(\/\).*/{
643	    s//\1/
644	    q
645	  }
646	  s/.*/./; q'`
647  { as_dir="$ac_dir"
648  case $as_dir in #(
649  -*) as_dir=./$as_dir;;
650  esac
651  test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
652    as_dirs=
653    while :; do
654      case $as_dir in #(
655      *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
656      *) as_qdir=$as_dir;;
657      esac
658      as_dirs="'$as_qdir' $as_dirs"
659      as_dir=`$as_dirname -- "$as_dir" ||
660$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
661	 X"$as_dir" : 'X\(//\)[^/]' \| \
662	 X"$as_dir" : 'X\(//\)$' \| \
663	 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
664echo X"$as_dir" |
665    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
666	    s//\1/
667	    q
668	  }
669	  /^X\(\/\/\)[^/].*/{
670	    s//\1/
671	    q
672	  }
673	  /^X\(\/\/\)$/{
674	    s//\1/
675	    q
676	  }
677	  /^X\(\/\).*/{
678	    s//\1/
679	    q
680	  }
681	  s/.*/./; q'`
682      test -d "$as_dir" && break
683    done
684    test -z "$as_dirs" || eval "mkdir $as_dirs"
685  } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
686echo "$as_me: error: cannot create directory $as_dir" >&2;}
687   { (exit 1); exit 1; }; }; }
688  ac_builddir=.
689
690case "$ac_dir" in
691.) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
692*)
693  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
694  # A ".." for each directory in $ac_dir_suffix.
695  ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
696  case $ac_top_builddir_sub in
697  "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
698  *)  ac_top_build_prefix=$ac_top_builddir_sub/ ;;
699  esac ;;
700esac
701ac_abs_top_builddir=$ac_pwd
702ac_abs_builddir=$ac_pwd$ac_dir_suffix
703# for backward compatibility:
704ac_top_builddir=$ac_top_build_prefix
705
706case $srcdir in
707  .)  # We are building in place.
708    ac_srcdir=.
709    ac_top_srcdir=$ac_top_builddir_sub
710    ac_abs_top_srcdir=$ac_pwd ;;
711  [\\/]* | ?:[\\/]* )  # Absolute name.
712    ac_srcdir=$srcdir$ac_dir_suffix;
713    ac_top_srcdir=$srcdir
714    ac_abs_top_srcdir=$srcdir ;;
715  *) # Relative name.
716    ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
717    ac_top_srcdir=$ac_top_build_prefix$srcdir
718    ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
719esac
720ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
721
722
723  case $ac_mode in
724  :F)
725  #
726  # CONFIG_FILE
727  #
728
729  case $INSTALL in
730  [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
731  *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
732  esac
733  ac_MKDIR_P=$MKDIR_P
734  case $MKDIR_P in
735  [\\/$]* | ?:[\\/]* ) ;;
736  */*) ac_MKDIR_P=$ac_top_build_prefix$MKDIR_P ;;
737  esac
738# If the template does not know about datarootdir, expand it.
739# FIXME: This hack should be removed a few years after 2.60.
740ac_datarootdir_hack=; ac_datarootdir_seen=
741
742case `sed -n '/datarootdir/ {
743  p
744  q
745}
746/@datadir@/p
747/@docdir@/p
748/@infodir@/p
749/@localedir@/p
750/@mandir@/p
751' $ac_file_inputs` in
752*datarootdir*) ac_datarootdir_seen=yes;;
753*@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
754  { echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
755echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
756  ac_datarootdir_hack='
757  s&@datadir@&${datarootdir}&g
758  s&@docdir@&${datarootdir}/doc/${PACKAGE}&g
759  s&@infodir@&${datarootdir}/info&g
760  s&@localedir@&${datarootdir}/locale&g
761  s&@mandir@&${datarootdir}/man&g
762    s&\${datarootdir}&${prefix}/share&g' ;;
763esac
764  sed "/^[	 ]*VPATH[	 ]*=/{
765s/:*\$(srcdir):*/:/
766s/:*\${srcdir}:*/:/
767s/:*@srcdir@:*/:/
768s/^\([^=]*=[	 ]*\):*/\1/
769s/:*$//
770s/^[^=]*=[	 ]*$//
771}
772
773:t
774/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
775s&@configure_input@&$configure_input&;t t
776s&@top_builddir@&$ac_top_builddir_sub&;t t
777s&@srcdir@&$ac_srcdir&;t t
778s&@abs_srcdir@&$ac_abs_srcdir&;t t
779s&@top_srcdir@&$ac_top_srcdir&;t t
780s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
781s&@builddir@&$ac_builddir&;t t
782s&@abs_builddir@&$ac_abs_builddir&;t t
783s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
784s&@INSTALL@&$ac_INSTALL&;t t
785s&@MKDIR_P@&$ac_MKDIR_P&;t t
786$ac_datarootdir_hack
787" $ac_file_inputs | sed -f "$tmp/subs-1.sed" >$tmp/out
788
789test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
790  { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
791  { ac_out=`sed -n '/^[	 ]*datarootdir[	 ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
792  { echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'
793which seems to be undefined.  Please make sure it is defined." >&5
794echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
795which seems to be undefined.  Please make sure it is defined." >&2;}
796
797  rm -f "$tmp/stdin"
798  case $ac_file in
799  -) cat "$tmp/out"; rm -f "$tmp/out";;
800  *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
801  esac
802 ;;
803
804
805
806  esac
807
808done # for ac_tag
809
810
811{ (exit 0); exit 0; }
812